# Uses of Class
org.apache.cxf.service.model.SchemaInfo

Packages that use SchemaInfo
Package
Description
org.apache.cxf.service.model

- ## Uses of SchemaInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return SchemaInfo
  Modifier and Type
  Method
  Description
  `SchemaInfo`
  ServiceInfo.`addNewSchema(String namespaceURI)`
  `SchemaInfo`
  ServiceInfo.`getSchema(String namespaceURI)`
  `static SchemaInfo`
  ServiceModelUtil.`getSchema(ServiceInfo serviceInfo, MessagePartInfo messagePartInfo)`
  Methods in org.apache.cxf.service.model that return types with arguments of type SchemaInfo
  Modifier and Type
  Method
  Description
  `List<SchemaInfo>`
  ServiceSchemaInfo.`getSchemaInfoList()`
  `List<SchemaInfo>`
  ServiceInfo.`getSchemas()`
  Methods in org.apache.cxf.service.model with parameters of type SchemaInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceInfo.`addSchema(SchemaInfo schemaInfo)`
  Method parameters in org.apache.cxf.service.model with type arguments of type SchemaInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceSchemaInfo.`setSchemaInfoList(List<SchemaInfo> schemaInfoList)`
  `void`
  ServiceInfo.`setSchemas(SchemaCollection cachedXmlSchemaCollection, List<SchemaInfo> cachedSchemas)`